%define name enblend
%define sourcename enblend-enfuse
%define version 4.2

Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Summary:	Enblend is a tool for compositing images
Source0:	%{sourcename}-%{version}.tar.xz
License:	GPL
Group:		Graphics
Url:		http://enblend.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#-------------------------------------
BuildRequires: texinfo help2man
BuildRequires: tidy
BuildRequires: plotutils-devel
BuildRequires: vigra-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}freeglut-devel
BuildRequires: %{_lib}glew-devel
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}lcms2-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}OpenEXR-devel

#-------------------------------------
Requires: vigra

%description
Enblend is a tool for compositing images. Given a set of images that overlap 
in some irregular way, Enblend overlays them in such a way that the seam 
between the images is invisible, or at least very difficult to see.


%package -n enfuse
Summary: Enfuse
Group: Graphics
Requires: vigra

%description -n enfuse
Enfuse is a tool for automatic exposure and contrast blending. It can be used
to fuse an exposure bracketed step automatically into a nicely looking image.
See enfuse.html for more information.


%prep 
%setup -q -n enblend-enfuse-%{version}

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_mandir}/man1/enblend.1.*
%{_bindir}/enblend

%files -n enfuse
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/enfuse
%{_mandir}/man1/enfuse.1.*

%changelog
* Tue Sep 12 2017 bb2 <bb2> - 4.2-2pclos2017
- rebuild against updates

* Sat Sep 09 2017 bb2 <bb2> - 4.2-1pclos2017
- new version

* Wed Jan 04 2017 bb <bb> - 4.1.4-3pclos2017
- rebuild new gsl

* Mon Mar 10 2016 bb <bb> - 4.1.4-2pclos2016
- rebuild for new boost


